# -*- coding: utf-8 -*-
from docopt import Dict as DocoptDict
from irc3 import IrcBot
from irc3.utils import IrcString
from irc3.plugins.command import command
import irc3

from . import MODULE, Plugin


# noinspection PyUnusedLocal
@command(permission='admin', show_in_help_list=False)
def reload(bot: IrcBot, mask: IrcString, channel: IrcString, args: DocoptDict):
    """Reload a plugin
    %%reload <plugin>
    """
    plugin = args['<plugin>']
    bot.reload('{module}.{plugin}'.format(plugin=plugin, module=MODULE))
    bot.notice(mask.nick, 'Reloaded plugin "{plugin}"'.format(plugin=plugin))


@irc3.plugin
class Admin(Plugin):
    pass
