# -*- coding: utf-8 -*-
from docopt import Dict as DocOptDict
from irc3.plugins.command import command
from irc3.utils import IrcString
import irc3

from . import Plugin
from ..utils import fmt, req


# noinspection PyUnusedLocal
@irc3.plugin
class Bitcoin(Plugin):
    requires = [
        'irc3.plugins.command',
    ]

    @command
    async def btc(self, mask: IrcString, channel: IrcString, args: DocOptDict):
        """Bitcoin command.
        %%btc
        """
        data = (await req('get', 'https://www.bitstamp.net/api/ticker')).json()
        return fmt('{bold}[BitStamp, 24h]{reset} '
                   'Current: {bold}{color}{orange}${last:,.2f}{reset} - '
                   'High: {bold}{color}{green}${high:,.2f}{reset} - '
                   'Low: {bold}{color}{maroon}${low:,.2f}{reset} - '
                   'Volume: {bold}฿{volume:,.2f}',
                   last=float(data['last']),
                   high=float(data['high']),
                   low=float(data['low']),
                   volume=float(data['volume']))
