# -*- coding: utf-8 -*-
import sqlite3
import irc3

from . import Plugin


@irc3.plugin
class Database(Plugin):
    def __init__(self, bot):
        super().__init__(bot)
        file = bot.config.storage.split('sqlite://', 1)[1]
        if not file:
            raise ValueError('Invalid database: {}'.format(bot.config.storage))
        self.db = sqlite3.connect(file)
        self.db.row_factory = sqlite3.Row
        self.bot = bot
        self.bot.con = self
